# Class TFMXWindowParent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFFMXWindowParent

## Declaration

`type TFMXWindowParent = class(TCommonCustomForm)`

## Description

This item has no description.

## Hierarchy

- TCommonCustomForm
- TFMXWindowParent

## Overview

### Fields

| `FChromium: TFMXChromium;`

### Methods

| `function GetChildWindowHandle: HWND;`
| `procedure Notification(AComponent: TComponent; Operation: TOperation); override;`
| `procedure Reparent(const aNewParentHandle : TFmxHandle; aNewWindowStyle: NativeInt = NativeInt(WS_POPUPWINDOW or WS_CHILDWINDOW));`
| `procedure UpdateSize;`
| `procedure SetBounds(ALeft, ATop, AWidth, AHeight: Integer); override;`

### Properties

| `property ChildWindowHandle : HWND read GetChildWindowHandle;`
| `property Chromium : TFMXChromium read FChromium write FChromium;`
| `property Visible;`
| `property Height;`
| `property Width;`

## Description

### Fields

| `FChromium: TFMXChromium;`
This item has no description.

### Methods

| `function GetChildWindowHandle: HWND;`
This item has no description.

| `procedure Notification(AComponent: TComponent; Operation: TOperation); override;`
This item has no description.

| `procedure Reparent(const aNewParentHandle : TFmxHandle; aNewWindowStyle: NativeInt = NativeInt(WS_POPUPWINDOW or WS_CHILDWINDOW));`
Set a new parent for this control.

| `procedure UpdateSize;`
Updates the size of the child windows created by the browser.

| `procedure SetBounds(ALeft, ATop, AWidth, AHeight: Integer); override;`
This item has no description.

### Properties

| `property ChildWindowHandle : HWND read GetChildWindowHandle;`
Handle of the first child window created by the browser.

| `property Chromium : TFMXChromium read FChromium write FChromium;`
TChromium instance used by this component.

| `property Visible;`
This item has no description.

| `property Height;`
This item has no description.

| `property Width;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.